@layer layout {
  .page {
    display: grid;
    grid-template-columns:
      [full-start] minmax(var(--space-m), 1fr)
      [content-start] min(100% - var(--space-m) * 2, 1200px)
      [content-end] minmax(var(--space-m), 1fr)
      [full-end];

    & > * {
      grid-column: content;
    }

    & > .full-bleed {
      grid-column: full;
    }
  }
}
